Đến nội dung


Hình ảnh
- - - - -

Sử dụng lisp San nền này như thế nào?


  • Please log in to reply
16 replies to this topic

#1 alibaba

alibaba

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 July 2008 - 09:07 PM

sau đây là mã của lisp, em có gưi bản ví dụ mong các anh chỉ giúp! Thansk!!
http://www.cadviet.c..._duoctinhra.rar
; MODULE_ID ACAD2000_LSP_
;;; ACAD2000.LSP Version 1.0 for AutoCAD 2000
;;;
;;; Copyright © 1994-1999 by Autodesk, Inc.
;;;
;;; Permission to use, copy, modify, and distribute this software
;;; for any purpose and without fee is hereby granted, provided
;;; that the above copyright notice appears in all copies and
;;; that both that copyright notice and the limited warranty and
;;; restricted rights notice below appear in all supporting
;;; documentation.
;;;
;;; AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
;;; AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
;;; MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. AUTODESK, INC.
;;; DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
;;; UNINTERRUPTED OR ERROR FREE.
;;;
;;; Use, duplication, or disclosure by the U.S. Government is subject to
;;; restrictions set forth in FAR 52.227-19 (Commercial Computer
;;; Software - Restricted Rights) and DFAR 252.227-7013©(1)(ii)
;;; (Rights in Technical Data and Computer Software), as applicable.
;;;
;;;.
;;;
;;; Note:
;;; This file is normally loaded only once per AutoCAD session.
;;; If you wish to have LISP code loaded into every document,
;;; you should add your code to acaddoc.lsp.
;;;
;;; Globalization Note:
;;; We do not support autoloading applications by the native
;;; language command call (e.g. with the leading underscore
;;; mechanism.)
(if (not (= (substr (ver) 1 11) "Visual LISP")) (load "acad2000doc.lsp"))
;; Remove this line if you won't be using the legacy
;; DWFOUT command and want to maximize available memory.
(vl-load-all "support\\legacy\\dwfout\\dwfout.lsp")
;; Silent load.
(princ)

(defun c:Than_bando()
(load "c:\\site\\bando.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_DDM()
(load "c:\\site\\DDM.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_sohoa()
(load "c:\\site\\sohoa.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_matcat()
(load "c:\\site\\matcat.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_sanen()
(load "c:\\site\\sanen.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_daodap()
(load "c:\\site\\daodap.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
http://www.cadviet.c...m_san_nen_1.rar
trên đây là toàn bộ phần đầy đủ của lisp trên!
  • 0

#2 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 31 July 2008 - 09:23 PM

sau đây là mã của lisp, em có gưi bản ví dụ mong các anh chỉ giúp! Thansk!!
; MODULE_ID ACAD2000_LSP_
;;; ACAD2000.LSP Version 1.0 for AutoCAD 2000
;;;
;;; Copyright © 1994-1999 by Autodesk, Inc.
;;;
;;; Permission to use, copy, modify, and distribute this software
;;; for any purpose and without fee is hereby granted, provided
;;; that the above copyright notice appears in all copies and
;;; that both that copyright notice and the limited warranty and
;;; restricted rights notice below appear in all supporting
;;; documentation.
;;;
;;; AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
;;; AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
;;; MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. AUTODESK, INC.
;;; DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
;;; UNINTERRUPTED OR ERROR FREE.
;;;
;;; Use, duplication, or disclosure by the U.S. Government is subject to
;;; restrictions set forth in FAR 52.227-19 (Commercial Computer
;;; Software - Restricted Rights) and DFAR 252.227-7013©(1)(ii)
;;; (Rights in Technical Data and Computer Software), as applicable.
;;;
;;;.
;;;
;;; Note:
;;; This file is normally loaded only once per AutoCAD session.
;;; If you wish to have LISP code loaded into every document,
;;; you should add your code to acaddoc.lsp.
;;;
;;; Globalization Note:
;;; We do not support autoloading applications by the native
;;; language command call (e.g. with the leading underscore
;;; mechanism.)
(if (not (= (substr (ver) 1 11) "Visual LISP")) (load "acad2000doc.lsp"))
;; Remove this line if you won't be using the legacy
;; DWFOUT command and want to maximize available memory.
(vl-load-all "support\\legacy\\dwfout\\dwfout.lsp")
;; Silent load.
(princ)

(defun c:Than_bando()
(load "c:\\site\\bando.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_DDM()
(load "c:\\site\\DDM.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_sohoa()
(load "c:\\site\\sohoa.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_matcat()
(load "c:\\site\\matcat.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_sanen()
(load "c:\\site\\sanen.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)
(defun c:Than_daodap()
(load "c:\\site\\daodap.vlx")
(setq job(getstring "\nThumuc congviec? ")
sc (getstring"\nTyle: TL1:5000=5 /TL1:2000 =2 /TL1:1000 =1/ TL1:500 =0.5/TL1:200=0.2 TL= "))
(if(= sc "")
(setq sc "0.5"))
(setq sc(atof sc)
tilechu(* 1.0 sc))
(princ)
)


Để sử dụng được bạn cần thêm một số file : bando.vlx, DDM.vlx, sohoa.vlx, matcat.vlx, sanen.vlx, daodap.vlx ...

Tuy nhiên có vẽ như đoạn code trên chưa hoàn chỉnh (không thực hiện điều gì cả.).
  • 0

#3 dacvien2007

dacvien2007

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 01 August 2008 - 11:45 AM

Để sử dụng được bạn cần thêm một số file : bando.vlx, DDM.vlx, sohoa.vlx, matcat.vlx, sanen.vlx, daodap.vlx ...

Tuy nhiên có vẽ như đoạn code trên chưa hoàn chỉnh (không thực hiện điều gì cả.).

Bạn có thể hướng dẫn giúp mình về việc sử dụng Pmềm san nền 1
Chúng ta phải vào từ đâu , để load được chương trình trong cac thư mục đặt vào đâu
Mong bạn giúp
  • 0

#4 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 01 August 2008 - 12:08 PM

Bạn có thể hướng dẫn giúp mình về việc sử dụng Pmềm san nền 1
Chúng ta phải vào từ đâu , để load được chương trình trong cac thư mục đặt vào đâu
Mong bạn giúp


Phần mềm http://www.cadviet.c...m_san_nen_1.rar không sử dụng được.

Có lẽ ai đó Upload lên Forum để kiếm point. Sorry vì đã làm phiền ai đó.
  • 0

#5 alibaba

alibaba

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 August 2008 - 05:21 PM

Phần mềm http://www.cadviet.c...m_san_nen_1.rar không sử dụng được.

Có lẽ ai đó Upload lên Forum để kiếm point. Sorry vì đã làm phiền ai đó.

http://www.cadviet.c...nnenCad2000.rar
Trên đây là toàn bộ phần mền đầy đủ các phai anh GIA BACh yêu cầu em upload lại anh xem và chỉ giúp em cách sữ dụng phần mền này em đang rất cần!!! Hoacj có ai đó đã sử dụng qua phần này hướng dẫn giúp em với em sẽ trã công luôn ... Em đang làm việc tại HN hiện phải vượt qua thử thách này...không em toi mất... điện thoại của em là
  • 0

#6 Snowman

Snowman

    biết lệnh mirror

  • Members
  • PipPipPip
  • 155 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 01 August 2008 - 07:04 PM

Tại sao bạn ko dùng luôn một phần mềm san nền khác, phổ biến và được giới thiệu, hướng dẫn đầy đủ hơn (HS chẳng hạn)
Để mầy mò ra được cách dùng một phần mềm lạ còn vất vả hơn nhiều so với cách...làm thủ công ấy chứ :s_big:
  • 0

. - ' * ' - .. - ... "Sống trong đời sống cần có một tấm lòng..." . - ' * ' - .. -
-----------------------------------------------------------------------------------

Hình đã gửi Hình đã gửi


#7 alibaba

alibaba

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 August 2008 - 10:40 PM

Tại sao bạn ko dùng luôn một phần mềm san nền khác, phổ biến và được giới thiệu, hướng dẫn đầy đủ hơn (HS chẳng hạn)
Để mầy mò ra được cách dùng một phần mềm lạ còn vất vả hơn nhiều so với cách...làm thủ công ấy chứ :s_big:

em cũng muốn thế lắm nhưng phần mềm free dùng chán lắm anh à! em thấy chỉ lisp này of em là ngon lành nhất chăng qua là chưa biêt dùng thôi. em đã từng nhìn thấy có người dùng chỉ 1 lần thôi chỉ mấy lệnh thôi đã cho ra được phai như thế này luon:
http://www.cadviet.c...uoctinhra_1.rar
  • 0

#8 alibaba

alibaba

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 August 2008 - 03:43 PM

em cũng muốn thế lắm nhưng phần mềm free dùng chán lắm anh à! em thấy chỉ lisp này of em là ngon lành nhất chăng qua là chưa biêt dùng thôi. em đã từng nhìn thấy có người dùng chỉ 1 lần thôi chỉ mấy lệnh thôi đã cho ra được phai như thế này luon:
http://www.cadviet.c...uoctinhra_1.rar

[color="#FF0000"]
  • 0

#9 alibaba

alibaba

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 August 2008 - 09:39 AM

[quote name
  • 0

#10 alibaba

alibaba

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 August 2008 - 03:57 PM

sao rồi không ai muốn kiếm tiền à? buồn quá chắc ai cũng có nhiều tiền rồi nên không muốn kiêm đây mà ! :s_big:

c
  • 0

#11 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 03 August 2008 - 05:06 PM

các sư phụ ơi các sư phụ đâu cả rồi sao không thấy ý kiến gì cả vậy? Bác Hoành ơi, bac' Giabach oi! Cac' bác là cao thủ về Lisp chỉ giúp em với.. hiện em đã cài được và đã load được menu ra rồi chỉ còn sư dụng nữa thôi! à với công việc của em chỉ cần sử dụnh 1 menu : Tksannen+Kldaodap thôi bác à! chân thành cảm ơn và sẽ hậu tạ...

Việc này nằm ngoài khả năng của tôi.

Việc này được ví như nhờ một người chuyên ngành kinh tế hướng dẫn bạn sử dụng phần mềm autocad2009 và không đưa cho họ một tài liệu nào khác ngoài đĩa CD bộ cài không có help.
  • 0

#12 alibaba

alibaba

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 August 2008 - 06:11 PM

Việc này nằm ngoài khả năng của tôi.

Việc này được ví như nhờ một người chuyên ngành kinh tế hướng dẫn bạn sử dụng phần mềm autocad2009 và không đưa cho họ một tài liệu nào khác ngoài đĩa CD bộ cài không có help.


  • 0

#13 Arch_Cuong

Arch_Cuong

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 August 2008 - 12:31 AM

em cũng muốn thế lắm nhưng phần mềm free dùng chán lắm anh à! em thấy chỉ lisp này of em là ngon lành nhất chăng qua là chưa biêt dùng thôi. em đã từng nhìn thấy có người dùng chỉ 1 lần thôi chỉ mấy lệnh thôi đã cho ra được phai như thế này luon:
http://www.cadviet.c...uoctinhra_1.rar

Sao bạn không hỏi người mà bạn đã thấy người ta làm ? Mình cũng đang rất quan tâm đến cái này.
  • 0

#14 alibaba

alibaba

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 August 2008 - 04:40 PM

Sao bạn không hỏi người mà bạn đã thấy người ta làm ? Mình cũng đang rất quan tâm đến cái này.

Quan tâm thì cùng nghiên cứu đi! Hỏi được thì còn nói làm gì miếng cơm manh áo của người ta mà... Họ sợ khi mình biết được rồi thì họ sẽ không còn chổ đứmg... Bởi vậy mà mổi lần họ làm thì toàn không cho mình có cơ hội để nhìn...
  • 0

#15 Ar_Chanwoo

Ar_Chanwoo

    biết lệnh break

  • Members
  • PipPipPipPip
  • 224 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 08 August 2008 - 10:43 PM

Quan tâm thì cùng nghiên cứu đi! Hỏi được thì còn nói làm gì miếng cơm manh áo của người ta mà... Họ sợ khi mình biết được rồi thì họ sẽ không còn chổ đứmg... Bởi vậy mà mổi lần họ làm thì toàn không cho mình có cơ hội để nhìn...

Biết vậy nhưng mà bạn tháy không , bạn đọc code của chương trình trên thì thấy chương trình bắt load 1 số file lisp VLX ở trong thư mục C:\SITE, bạn thử mở thư mục đó thì thấy làm gì có đủ những File ấy. Bạn hãy xem lại xem có chắc bạn đã xopy đủ các file chưa hay người ta dấu nghề không cho bạn copy hết.
  • 0

#16 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 09 August 2008 - 12:31 PM

các sư phụ ơi các sư phụ đâu cả rồi sao không thấy ý kiến gì cả vậy? Bác Hoành ơi, bac' Giabach oi! Cac' bác là cao thủ về Lisp chỉ giúp em với.. hiện em đã cài được và đã load được menu ra rồi chỉ còn sư dụng nữa thôi! à với công việc của em chỉ cần sử dụnh 1 menu : Tksannen+Kldaodap thôi bác à! chân thành cảm ơn và sẽ hậu tạ...

Alibaba thử dùng Sufer 8.0 để tính khối lượng san lấp, hoặc đào xem sao. Yêu cầu của Sufer là phải khai báo: bề mặt địa hình trên (đã được Sufer số hóa), bề mặt dưới Z chẳng hạn = 0. đường bao. Sufer cho ra thể tích của khối đó.
  • 0

#17 minhnghi

minhnghi

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 11 August 2008 - 02:21 AM

Quan tâm thì cùng nghiên cứu đi! Hỏi được thì còn nói làm gì miếng cơm manh áo của người ta mà... Họ sợ khi mình biết được rồi thì họ sẽ không còn chổ đứmg... Bởi vậy mà mổi lần họ làm thì toàn không cho mình có cơ hội để nhìn...

Bác Hoành và mọi người thông cảm, em mới đọc bài này và thấy thật sự bức xúc. Nếu ai cũng như người mà alibaba nói thì có lẽ cadviet sẽ không thể tồn tại nổi. Và em thấy bi giờ có một thực tế rất bi quan là như vậy, kèn cựa nhau giấu diếm và ích kỷ, có gì to tát khi bảo cho đồng nghiệp những điều đó, tất cả chỉ là học hành và học nghề, mà có chắc gì mình bít sử dụng cái này là đã bít hết về nó. Cũng giống như bản thân Acad thui, mỗi người làm mỗi nghề thì lại có những ứng dụng khác nhau. Nên đặt những cái lớn lên trên trước, vì nắm được phần mềm là chưa đủ, phần mềm chẳng qua chỉ là công cụ thể hiện, còn cái lớn hơn chính là kinh nghiệm làm việc và tư duy suy nghĩ. Một trường hợp đáng buồn là alibaba đã xảy ra, em mong một bài viết có sức mạnh để mọi người để ý hơn đến chuyện này. Mọi người thông cảm nhé :s_big:
  • 1
- Gà con vẽ CAD -